create procedure rrhh.sp_guardarLicenciaArmasEmpleado
@txtCodempleado varchar(15),
@txtNumeroLicencia varchar(50),
@txtFechaEmision date,
@txtFechaExpira date,
@txtEnEmergenciaLlamar varchar(350),
@txtNumeroRegistro varchar(50),
@txtTipoSangre varchar(75),
@txtTelefono varchar(25),
@numUsuario int,
@dbRespuesta varchar(300) output
as
begin
	set nocount on;

	declare @dbCnt int;

	select @dbCnt = COUNT(*) from rrhh.det_licenciasArmasEmpleado where codempleado = @txtCodempleado and estado = 1;

	if @dbCnt = 0
		begin
			insert into rrhh.det_licenciasArmasEmpleado(codempleado,numeroLicencia,fechaEmision,fechaExpira,enEmergenciaLlamar,numeroRegistro,tipoSangre,telefono,idUsuario) values(@txtCodempleado,@txtNumeroLicencia,@txtFechaEmision,@txtFechaExpira,@txtEnEmergenciaLlamar,@txtNumeroRegistro,@txtTipoSangre,@txtTelefono,@numUsuario);
		end
	else
		begin
			update rrhh.det_licenciasArmasEmpleado set numeroLicencia = @txtNumeroLicencia,fechaEmision = @txtFechaEmision,fechaExpira = @txtFechaExpira,enEmergenciaLlamar = @txtEnEmergenciaLlamar,numeroRegistro = @txtNumeroRegistro,tipoSangre = @txtTipoSangre,telefono = @txtTelefono,fechaActualizacion = GETDATE(),ultimoUsuario = @numUsuario where codempleado = @txtCodempleado and estado = 1;
		end

	set @dbRespuesta = 'success';
end